# $Revision: 1.36 $, $Date: 2011/09/17 07:15:59 $
#
# Conditional build:
%bcond_without	apidocs		# don't build api docs
#
Summary:	Netlink sockets library
Summary(pl.UTF-8):	Biblioteka do obsługi gniazd netlink
%define	orgname	libnl
Name:		%{orgname}1
Version:	1.1
Release:	3
License:	LGPL v2.1
Group:		Libraries
Source0:	http://people.suug.ch/~tgr/libnl/files/%{orgname}-%{version}.tar.gz
# Source0-md5:	ae970ccd9144e132b68664f98e7ceeb1
Patch1:		libnl-1.0-pre5-static.patch
Patch2:		libnl-1.0-pre5-debuginfo.patch
Patch3:		libnl-1.0-pre8-use-vasprintf-retval.patch
Patch4:		libnl-1.0-pre8-more-build-output.patch
Patch5:		libnl-1.1-include-limits-h.patch
Patch6:		libnl-1.1-doc-inlinesrc.patch
Patch7:		libnl-1.1-no-extern-inline.patch
Patch8:		libnl-1.1-align.patch
Patch9:		libnl-1.1-disable-static-by-default.patch
Patch10:	libnl-1.1-fix-portmap-position.patch
Patch11:	libnl-1.1-threadsafe-port-allocation.patch
URL:		http://www.infradead.org/~tgr/libnl/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_apidocs:BuildRequires:	doxygen}
%{?with_apidocs:BuildRequires:	graphviz}
BuildRequires:	linux-libc-headers >= 6:2.6.23
%{?with_apidocs:BuildRequires:	tetex-dvips}
%{?with_apidocs:BuildRequires:	tetex-format-latex}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnl1 is a library for applications dealing with netlink socket. It
provides an easy to use interface for raw netlink message but also
netlink family specific APIs.

%description -l pl.UTF-8
libnl1 jest biblioteką dla aplikacji rozmawiających z gniazdem
netlink. Udostępnia łatwy w użyciu interfejs do korzystania z surowych
wiadomości netlink, a także API specyficzne dla rodziny gniazd
netlink.

%package devel
Summary:	Header files for libnl1 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnl1
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:	libnl-devel < 1:3.2

%description devel
Header files for libnl1 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnl1.

%package static
Summary:	Static libnl1 library
Summary(pl.UTF-8):	Statyczna biblioteka libnl1
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Conflicts:	libnl-static < 1:3.2

%description static
Static libnl1 library.

%description static -l pl.UTF-8
Statyczna biblioteka libnl1.

%package apidocs
Summary:	libnl1 library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnl1
Group:		Documentation

%description apidocs
Documentation for libnl1 library API and guides in HTML format
generated from sources by doxygen.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnl1 oraz wprowadzenie w formacie HTML
wygenerowane ze źródeł za pomocą doxygena.

%prep
%setup -q -n %{orgname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
%{__aclocal}
%{__autoconf}

%configure \
	--enable-static \
	--enable-verbose-errors

%{__make}
%{?with_apidocs:%{__make} -C doc gendoc}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for autodeps to work
chmod +x $RPM_BUILD_ROOT%{_libdir}/libnl.so.*.*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/libnl.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libnl.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnl.so
%{_includedir}/netlink
%{_pkgconfigdir}/libnl-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnl.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnl1.spec,v $
Revision 1.36  2011/09/17 07:15:59  arekm
- rel 3; doesn't conflict with latest libnl anymore

Revision 1.35  2011/09/07 19:57:11  arekm
- rel 2; use patches from fc (drop our variants)

Revision 1.34  2011/03/28 18:18:56  arekm
- ... or better Obsoletes

Revision 1.33  2011/03/28 18:18:22  arekm
- devel/static obsoletes libnl devel/static

Revision 1.32  2011/03/28 18:16:54  arekm
- libnl1.spec with version 1.1

Revision 1.28  2009/12/25 21:12:20  glen
- new working url

Revision 1.27  2009/11/28 15:12:57  sparky
- BR: graphviz (for apidocs)

Revision 1.26  2009/05/27 21:49:08  glen
- fix error: /usr/include/netlink/object.h:58: error: inline function 'nl_object_priv' declared but never defined
- rel 4

Revision 1.25  2009/03/11 17:02:49  qboosh
- pl for -apidocs

Revision 1.24  2009/03/10 13:28:01  glen
- fix apidocs

Revision 1.23  2009/03/10 00:36:00  glen
- build apidocs

Revision 1.22  2008/08/29 20:31:33  glen
- llh 2.6.23 for VLAN_FLAG_REORDER_HDR

Revision 1.21  2008/05/19 07:45:46  pluto
- fix build on recent gcc, release 2.

Revision 1.20  2008-01-21 23:37:04  shadzik
- 1.1

Revision 1.19  2008-01-13 08:59:59  qboosh
- merged final 1.0 from DEVEL
- with -static patch -static is restored

Revision 1.14.2.5  2008-01-13 08:54:20  qboosh
- removed obsolete llh patch

Revision 1.14.2.4  2008-01-13 08:53:56  qboosh
- removed remnants of no longer existing -static, added Obsoletes

Revision 1.14.2.3  2008-01-13 08:52:58  qboosh
- updated to final 1.0

Revision 1.14.2.2  2007-12-16 21:11:33  qboosh
- added llh patch to avoid using obsolete <lihux/ip_mp_alg.h> header

Revision 1.14.2.1  2007-11-23 10:43:16  patrys
- pre8
- meant for llh 2.6.23
- epoch 1 to follow HEAD
- don't merge as it breaks API/ABI for existing apps

Revision 1.18  2007-12-14 14:01:35  patrys
- rel up

Revision 1.17  2007-12-14 02:03:29  patrys
- build static library

Revision 1.16  2007-11-23 10:28:52  patrys
- rel 4 to satisfy builder

Revision 1.15  2007-11-23 10:25:53  patrys
- reverted to pre6
- pre7 on DEVEL breaks applications and doesn't build with llh 2.6.23
- epoch 1
- rel 1

Revision 1.13  2007-08-04 08:05:06  qboosh
- fixed shellglob

Revision 1.12  2007/08/02 21:03:05  twittner
- fix %files
- rel. 3

Revision 1.11  2007/02/20 19:30:09  arekm
- rel .2

Revision 1.10  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.8  2006/12/26 17:43:06  qboosh
- updated to 1.0-pre6, removed obsolete no_root patch and .pc file

Revision 1.7  2006/10/31 08:19:36  pluto
- install fixed.

Revision 1.6  2006/10/31 08:10:58  pluto
- build fixed.

Revision 1.5  2006/04/05 16:47:28  qboosh
- removed outdated if_ether patch

Revision 1.4  2006/04/03 19:01:20  aredridel
- add pkgconfig file

Revision 1.3  2006/04/03 18:47:40  aredridel
- up to 1.0-pre5

Revision 1.2  2005/06/20 21:17:35  qboosh
- cosmetics, BR: ac,am

Revision 1.1  2005/06/19 08:08:13  undefine
- initial
